Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface EventServiceMBean

All Known Subinterfaces:
  AsynchronousEventServiceMBean

public interface EventServiceMBean
extends ServiceConfigurationMBean

Configuration for Event Service.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addListener(java.lang.String listener)` Add a listener
`java.lang.String[]` | `getListeners()` Returns the Listeners (class names) the EventService uses
`boolean` | `removeListener(java.lang.String listener)` Remove a listener.
`void` | `setListeners(java.lang.String[] listeners)` Set the listeners (class names) for the event service.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getListeners

    public java.lang.String[] getListeners()

  Returns the Listeners (class names) the EventService uses

  Old Property: asynchronousHandler.listeners

### setListeners

    public void setListeners(java.lang.String[] listeners)

  Set the listeners (class names) for the event service.

  A dynamic MBean attribute
  Legal NULL: true

### addListener

    public boolean addListener(java.lang.String listener)

  Add a listener

  A dynamic MBean attribute

### removeListener

    public boolean removeListener(java.lang.String listener)

  Remove a listener.

  A dynamic MBean attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved